Debian Bug report logs - #559609
hstore-new: Please build against PostgreSQL 8.4 (only)

version graph

Package: hstore-new; Maintainer for hstore-new is Dimitri Fontaine <dim@tapoueh.org>;

Reported by: mpitt@debian.org

Date: Sat, 5 Dec 2009 17:21:05 UTC

Severity: serious

Tags: patch

Fixed in version hstore-new/1.0-2.1

Done: Obey Arthur Liu <arthur@milliways.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Dimitri Fontaine <dim@tapoueh.org>:
Bug#559609; Package hstore-new. (Sat, 05 Dec 2009 17:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to mpitt@debian.org:
New Bug report received and forwarded. Copy sent to Dimitri Fontaine <dim@tapoueh.org>. (Sat, 05 Dec 2009 17:21:08 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: mpitt@debian.org
To: maintonly@bugs.debian.org
Subject: hstore-new: Please build against PostgreSQL 8.4 (only)
Date: Sat, 05 Dec 2009 17:02:55 +0100
Package: hstore-new
Severity: important

Hello,

your package still (build-/binary) depends on PostgreSQL older than
the current 8.4. In Squeeze we will only support 8.4 and drop 8.3
[1].

Please build an 8.4 extension only and drop all older packages,
build, and binary dependencies.

Thank you!

Martin

[1] http://lists.debian.org/debian-release/2009/12/msg00031.html




Added indication that bug 559609 blocks 569149 Request was from Martin Pitt <mpitt@debian.org> to control@bugs.debian.org. (Wed, 10 Feb 2010 11:30:17 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Martin Pitt <mpitt@debian.org> to control@bugs.debian.org. (Wed, 10 Feb 2010 11:30:26 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dimitri Fontaine <dim@tapoueh.org>:
Bug#559609; Package hstore-new. (Fri, 02 Apr 2010 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Obey Arthur Liu <arthur@milliways.fr>:
Extra info received and forwarded to list. Copy sent to Dimitri Fontaine <dim@tapoueh.org>. (Fri, 02 Apr 2010 22:21:03 GMT) Full text and rfc822 format available.

Message #14 received at 559609@bugs.debian.org (full text, mbox):

From: Obey Arthur Liu <arthur@milliways.fr>
To: 559609@bugs.debian.org
Cc: control@bugs.debian.org
Subject: hstore-new: Please build against PostgreSQL 8.4 (only)
Date: Sat, 3 Apr 2010 00:16:44 +0200
[Message part 1 (text/plain, inline)]
tag 559609 patch
thanks

Please find the trivial patch attached.
I have an NMU at the ready if necessary.

Cheers

Arthur
[hstore-new-559609.patch (text/x-patch, attachment)]

Added tag(s) patch. Request was from Obey Arthur Liu <arthur@milliways.fr> to control@bugs.debian.org. (Fri, 02 Apr 2010 22:21:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Stefano Zacchiroli <zack@debian.org> to control@bugs.debian.org. (Sun, 04 Apr 2010 09:36:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dimitri Fontaine <dim@tapoueh.org>:
Bug#559609; Package hstore-new. (Sun, 04 Apr 2010 09:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to Dimitri Fontaine <dim@tapoueh.org>. (Sun, 04 Apr 2010 09:48:03 GMT) Full text and rfc822 format available.

Message #23 received at 559609@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: 559609@bugs.debian.org
Cc: Obey Arthur Liu <arthur@milliways.fr>
Subject: hstore-new: diff for NMU version 1.0-2.1
Date: Sun, 4 Apr 2010 11:34:56 +0200
[Message part 1 (text/plain, inline)]
tags 559609 + pending
thanks

Dear maintainer,

I've sponsored an NMU for hstore-new (versioned as 1.0-2.1) prepared by
Obey Arthur Liu (Cc:-ed) and uploaded it to DELAYED/3, as per devref
§5.11.1. Please feel free to tell me if I should reschedule it somehow.

Regards.

-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Dietro un grande uomo c'è ..|  .  |. Et ne m'en veux pas si je te tutoie
sempre uno zaino ...........| ..: |.... Je dis tu à tous ceux que j'aime
[hstore-new-1.0-2.1-nmu.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#559609; Package hstore-new. (Mon, 05 Apr 2010 20:39:47 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dimitri Fontaine <dim@tapoueh.org>:
Extra info received and forwarded to list. (Mon, 05 Apr 2010 20:39:47 GMT) Full text and rfc822 format available.

Message #28 received at 559609@bugs.debian.org (full text, mbox):

From: Dimitri Fontaine <dim@tapoueh.org>
To: Stefano Zacchiroli <zack@debian.org>
Cc: 559609@bugs.debian.org, Obey Arthur Liu <arthur@milliways.fr>, Martin Pitt <mpitt@debian.org>
Subject: Re: Bug#559609: hstore-new: diff for NMU version 1.0-2.1
Date: Mon, 05 Apr 2010 21:55:25 +0200
Stefano Zacchiroli <zack@debian.org> writes:
> I've sponsored an NMU for hstore-new (versioned as 1.0-2.1) prepared by
> Obey Arthur Liu (Cc:-ed) and uploaded it to DELAYED/3, as per devref
> §5.11.1. Please feel free to tell me if I should reschedule it somehow.

I'm grateful to see people caring for those packages.

The real fix I'm envisioning is in the hands of Martin Pitt,
though. It's a pg_buildext tool that knows about currently supported
PostgreSQL version in your debian distribution and only build those.

Easy to use for the module maintainers, and allow for such issue to get
solved without patch nor NMU.

I kind of hope to see that applied before squeeze is frozen so that I'm
able to fix my bugs with it.

Regards,
-- 
dim




Reply sent to Obey Arthur Liu <arthur@milliways.fr>:
You have taken responsibility. (Wed, 07 Apr 2010 10:51:16 GMT) Full text and rfc822 format available.

Notification sent to mpitt@debian.org:
Bug acknowledged by developer. (Wed, 07 Apr 2010 10:51:16 GMT) Full text and rfc822 format available.

Message #33 received at 559609-close@bugs.debian.org (full text, mbox):

From: Obey Arthur Liu <arthur@milliways.fr>
To: 559609-close@bugs.debian.org
Subject: Bug#559609: fixed in hstore-new 1.0-2.1
Date: Wed, 07 Apr 2010 10:48:00 +0000
Source: hstore-new
Source-Version: 1.0-2.1

We believe that the bug you reported is fixed in the latest version of
hstore-new, which is due to be installed in the Debian FTP archive:

hstore-new_1.0-2.1.diff.gz
  to main/h/hstore-new/hstore-new_1.0-2.1.diff.gz
hstore-new_1.0-2.1.dsc
  to main/h/hstore-new/hstore-new_1.0-2.1.dsc
postgresql-8.4-hstore-new_1.0-2.1_amd64.deb
  to main/h/hstore-new/postgresql-8.4-hstore-new_1.0-2.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 559609@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Obey Arthur Liu <arthur@milliways.fr> (supplier of updated hstore-new package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 02 Apr 2010 23:59:42 +0200
Source: hstore-new
Binary: postgresql-8.4-hstore-new
Architecture: source amd64
Version: 1.0-2.1
Distribution: unstable
Urgency: medium
Maintainer: Dimitri Fontaine <dim@tapoueh.org>
Changed-By: Obey Arthur Liu <arthur@milliways.fr>
Description: 
 postgresql-8.4-hstore-new - PostgreSQL data type for storing sets of (key,value) pairs
Closes: 559609
Changes: 
 hstore-new (1.0-2.1) unstable; urgency=medium
 .
   * Non-maintainer upload.
   * Drop support for PostgreSQL 8.3 as it dropped in Squeeze  (Closes: #559609).
   * Fix noop clean command.
Checksums-Sha1: 
 6cdcf8afbe924d7f5bcbfb3b1ccd16e67f6695c6 1045 hstore-new_1.0-2.1.dsc
 5bf33888c580d39390126a5a86e570549d138254 1565 hstore-new_1.0-2.1.diff.gz
 32a1188f9d05eac617afe5287e06b2a3ed7a54c3 29048 postgresql-8.4-hstore-new_1.0-2.1_amd64.deb
Checksums-Sha256: 
 0279b7a2297b91af8eef97c3509673ef1a28b8f134678c604dba7e415cac57a0 1045 hstore-new_1.0-2.1.dsc
 7f4ab8d0fc59b92edd8accfa7097aad736c240501e33ad602047a05604d31edc 1565 hstore-new_1.0-2.1.diff.gz
 dbc25ebb88d749e75328c4a63c7f96bf6837b48013a2805d22d5f58c0f9775a7 29048 postgresql-8.4-hstore-new_1.0-2.1_amd64.deb
Files: 
 18813ff0326f995f45e1d4e8b3322df7 1045 database extra hstore-new_1.0-2.1.dsc
 1eb7dfd156ab5deb95c82255a6a5b510 1565 database extra hstore-new_1.0-2.1.diff.gz
 8434fdd019e873ef560f7a7d95581472 29048 database extra postgresql-8.4-hstore-new_1.0-2.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLuFyg1cqbBPLEI7wRArf7AKCyrEqerhjpkw7NVukjqeCf0fDGZgCfXgti
sBDRFNsdAhdWgjEEPHHlL0U=
=6XTa
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 24 May 2010 07:31:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 08:31:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.